Mail in Version 3.6.000

If you need support with TeamCal Pro (installation, configuration, usage) post your request here.
Post Reply
Marvin
Fresh Boarder
Fresh Boarder
Posts: 11
Joined: 2012-09-06, 21:20
Are you a spam bot?: No

Mail in Version 3.6.000

Post by Marvin » 2013-04-09, 11:53

If i want to write a mail in 3.6. i get this:

Warning: require_once(Mail.php) [function.require-once]: failed to open stream: No such file or directory in /users/fleestedt/www/sen2sen/helpers/global_helper.php on line 1525

Fatal error: require_once() [function.require]: Failed opening required 'Mail.php' (include_path='.') in /users/fleestedt/www/sen2sen/helpers/global_helper.php on line 1525
Last edited by Marvin on 2013-04-09, 17:01, edited 1 time in total.
Heart1010
Fresh Boarder
Fresh Boarder
Posts: 16
Joined: 2012-05-07, 16:38
Are you a spam bot?: No

Re: Mail in Version 3.6.000

Post by Heart1010 » 2013-04-09, 14:42

You need to install PEAR and PEAR MAIL packages to get smtp mailing working.

(If it's not your server ask your isp for that package)
Marvin
Fresh Boarder
Fresh Boarder
Posts: 11
Joined: 2012-09-06, 21:20
Are you a spam bot?: No

Re: Mail in Version 3.6.000

Post by Marvin » 2013-04-09, 14:57

Really? Is this new on vers. 3.6 bekause the older Versions didn't need (works till Vers. 3.5. on the same webspace) it and my PHP-Knowlegdes is poor, but there is a mail.php requestet and in Version 3.6. there is no mail.php. But as i said, no real knowlegdes ;-)
Heart1010
Fresh Boarder
Fresh Boarder
Posts: 16
Joined: 2012-05-07, 16:38
Are you a spam bot?: No

Re: Mail in Version 3.6.000

Post by Heart1010 » 2013-04-09, 15:29

Here the mail.php from the pear package is meant (so again, ask your ISP about that :wink: ).

But this package is only used when you set "Use external SMTP server" to yes (in Email Options).
Marvin
Fresh Boarder
Fresh Boarder
Posts: 11
Joined: 2012-09-06, 21:20
Are you a spam bot?: No

Re: Mail in Version 3.6.000

Post by Marvin » 2013-04-09, 16:03

I don't use esternal SMTP, and with the other Installations, it works fine. I have now 4 instalation on the same webspace.

EDIT.

I deletet require_once(Mail.php)

Now it work's :twisted:
User avatar
George
Platinum Boarder
Platinum Boarder
Posts: 382
Joined: 2004-11-29, 21:20
Are you a spam bot?: No
Contact:

Re: Mail in Version 3.6.000

Post by George » 2013-04-09, 17:36

Hi Marvin
got to Tools -> Administration -> Configuration
On the E-Mail Options tab uncheck the setting "Use external SMTP server".
Marvin
Fresh Boarder
Fresh Boarder
Posts: 11
Joined: 2012-09-06, 21:20
Are you a spam bot?: No

Re: Mail in Version 3.6.000

Post by Marvin » 2013-04-09, 18:04

Hi George,

i have done this, but it have same error, only deleting the require works.

regards

Marv

Webspace is bplaced.net, if you want to try it. Is a free webspace.
User avatar
George
Platinum Boarder
Platinum Boarder
Posts: 382
Joined: 2004-11-29, 21:20
Are you a spam bot?: No
Contact:

Re: Mail in Version 3.6.000

Post by George » 2013-04-09, 21:30

Hi all
this issue has been moved to the new JIRA issue tracker at:
https://georgelewe.atlassian.net/browse/TCP-7

Please, I kindly ask you to register there (it's free) and follow up on the ticket there. I have recently setup my community site at Atlassian.net and would like to encouragt you to use it too. It offers much more excellent features than this froum here.
Thanks guys...
Post Reply